# Retrieve affiliate coupon

## Request

| Method | URL                                                     |
| ------ | ------------------------------------------------------- |
| `GET`  | `https://api.getrewardful.com/v1/affiliate_coupons/:id` |

### Example

```bash
curl https://api.getrewardful.com/v1/affiliate_coupons/d0ed8392-8880-4f39-8715-60230f9eceab \
  -u YOUR_API_SECRET:
```

## Response

{% tabs %}
{% tab title="Success" %}

| Response code | Body                                                                                                                         |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| `200`         | An [affiliate coupon object](https://developers.rewardful.com/rest-api/affiliate-coupons/the-affiliate-coupon-object) (JSON) |
| {% endtab %}  |                                                                                                                              |

{% tab title="Failures" %}

### Not Found

| Response code | Body              |
| ------------- | ----------------- |
| `404`         | JSON error object |

```json
{  "error": "Affiliate coupon not found: " }
```

### Authentication failure

| Response code | Body                                       |
| ------------- | ------------------------------------------ |
| `401`         | Description of the authentication failure. |

```json
{  "error": "Invalid API Secret." }
```

{% endtab %}
{% endtabs %}
